import service from '../utils/request_axios';
function login_api(user_name, password) {
  return service({
    url: '/admin/users/login',
    method: 'POST',
    data: {
      loginName: user_name,
      loginPassword: password,
    },
  });
}

function menu_api() {
  return service({
    url: '/admin/module/list',
    method: 'GET',
  });
}

function login_out_api() {
  return service({
    url: '/admin/users/logout',
    method: 'GET',
  });
}

function user_info_api(data) {
  return service({
    url: '/admin/users/list',
    method: 'POST',
    data,
  });
}

function user_del_api(data) {
  return service({
    url: '/admin/users/delete/' + data,
    method: 'DELETE',
  });
}

function user_add_api(data) {
  return service({
    url: '/admin/users/add',
    method: 'POST',
    data,
  });
}

function user_role_api(data) {
  return service({
    url: '/admin/role/list',
    method: 'POST',
    data,
  });
}

function user_edit_api(data) {
  return service({
    url: '/admin/users/update',
    method: 'POST',
    data,
  });
}

function custom_list_api(data) {
  return service({
    url: '/admin/custom/list',
    method: 'POST',
    data,
  });
}

function custom_rule_api(data) {
  return service({
    url: '/admin/user-role/list',
    method: 'POST',
    data,
  });
}

function organ_api(data) {
  return service({
    url: '/admin/organ/list',
    method: 'POST',
    data,
  });
}

function organ_update(data) {
  return service({
    url: '/admin/organ/update',
    method: 'POST',
    data,
  });
}
function organ_create(data) {
  return service({
    url: '/admin/organ/add',
    method: 'POST',
    data,
  });
}
function organ_del(data) {
  return service({
    url: '/admin/organ/delete/' + data,
    method: 'DELETE',
  });
}

function region_api(data) {
  return service({
    url: '/admin/region/tree',
    method: 'GET',
    data,
  });
}

function custom_add(params) {
  return service({
    url: '/admin/custom/add',
    method: 'POST',
    data: params,
  });
}

function custom_del(data) {
  return service({
    url: '/admin/custom/delete/' + data,
    method: 'DELETE',
  });
}

function custom_updata(data) {
  return service({
    url: '/admin/custom/update',
    method: 'POST',
    data,
  });
}

function live_list(params) {
  return service({
    url: '/admin/live-stream/list',
    method: 'GET',
    params,
  });
}

function live_add(data) {
  return service({
    url: '/admin/live-stream/add',
    method: 'POST',
    data,
  });
}

function live_update(data) {
  return service({
    url: '/admin/live-stream/update',
    method: 'POST',
    data,
  });
}

function live_del(id) {
  return service({
    url: '/admin/live-stream/delete/' + id,
    method: 'DELETE',
  });
}

function leader_api(data) {
  return service({
    url: '/admin/leaders/list',
    method: 'POST',
    data,
  });
}

function leader_add(data) {
    return service({
      url: '/admin/leaders/add',
      method: 'POST',
      data,
    });
}

function leader_update(data) {
    return service({
      url: '/admin/leaders/update',
      method: 'POST',
      data,
    });
}

export default {
  login_api,
  menu_api,
  login_out_api,
  user_info_api,
  user_del_api,
  user_add_api,
  user_role_api,
  user_edit_api,
  custom_list_api,
  custom_rule_api,
  organ_api,
  organ_update,
  organ_create,
  organ_del,
  region_api,
  custom_add,
  custom_del,
  custom_updata,
  live_list,
  live_add,
  live_del,
  live_update,
  leader_api,
  leader_add,
  leader_update
};
